Database CRDT sources alerts requests
Conflict-free replicated data type (CRDT) source alert requests
This documentation applies to Redis Software versions 7.4.x, which reach end of life on November 30, 2026. See the product lifecycle for supported versions.
| Method |
Path |
Description |
| GET |
/v1/bdbs/crdt_sources/alerts |
Get all CRDT sources alert states for all CRDB databases |
| GET |
/v1/bdbs/crdt_sources/alerts/{uid} |
Get all CRDT sources alert states for a database |
| GET |
/v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id} |
Get all alert states for a CRDT source |
| GET |
/v1/bdbs/crdt_sources/alerts/{uid}/{crdt_src_id}/{alert} |
Get a database alert state |
Get all CRDB CRDT source alert states
GET /v1/bdbs/crdt_sources/alerts
Get all alert states for all CRDT sources of all CRDBs.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/crdt_sources/alerts
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
Response
Returns a hash of alert UIDs and the alerts states for each local BDB of CRDB.
Example JSON body
{
"1": {
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"change_time": "2014-08-29T11:19:49Z",
"severity": "WARNING",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
},
"..."
}
Status codes
| Code |
Description |
| 200 OK |
No error |
Get all BDB CRDT sources alert states
GET /v1/bdbs/crdt_sources/alerts/{int: uid}
Get all alert states for all crdt sources for a specific local bdb of a CRDB.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/crdt_sources/alerts/1
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
Response
Returns a hash of alert objects and their states.
Example JSON body
{
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
Status codes
Get all CRDT source alert states
GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}
Get all alert states for specific crdt source for a specific local BDB
of a CRDB.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/crdt_sources/alerts/1/2
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
| crdt_src_id |
integer |
The ID of the crdt source in this BDB |
Response
Returns a hash of alert objects and their states.
Example JSON body
{
"crdt_src_syncer_connection_error": {
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
},
"..."
}
Status codes
Get database alert state
GET /v1/bdbs/crdt_sources/alerts/{int: uid}/{int: crdt_src_id}/{alert}
Get a BDB alert state.
Required permissions
Request
Example HTTP request
GET /v1/bdbs/crdt_sources/alerts/1/2/crdt_src_syncer_connection_error
| Key |
Value |
Description |
| Host |
cnm.cluster.fqdn |
Domain name |
| Accept |
application/json |
Accepted media type |
URL parameters
| Field |
Type |
Description |
| uid |
integer |
The unique ID of the database |
| crdt_src_id |
integer |
The ID of the crdt source in this BDB |
| alert |
string |
The alert name |
Response
Returns an alert object.
Example JSON body
{
"enabled": true,
"state": true,
"threshold": "80",
"severity": "WARNING",
"change_time": "2014-08-29T11:19:49Z",
"change_value": {
"state": true,
"threshold": "80",
"memory_util": 81.2
}
}
Status codes